/*
	harris - a strategy game
	Copyright (C) 2012-2013 Edward Cree

	licensed under GPLv3+ - see top of harris.c for details

	events: maps event names to ids
*/

#include "events.h"
#include <string.h>

const char *event_names[86]={
	"NORWAY",
	"CIV",
	"BARGE",
	"ENDBARGE",
	"LONDON",
	"COVENTRY",
	"MANNHEIM",
	"UBOAT",
	"ABD",
	"ITALY",
	"INV",
	"DDAY",
	"V1",
	"V1END",
	"R2AB",
	"TERROR",
	"MANNA",
	"VE",
	"PFF",
	"FLT_ENG",
	"HCU",
	"LFS",
	"OTUB",
	"OBOE",
	"GEE",
	"ALLGEE",
	"H2S",
	"GH",
	"MOD_TWINGUN",
	"MOD_SSTANK",
	"MOD_SSTEND",
	"MOD_RELEASE",
	"MOD_CREWSTIR",
	"MOD_CREWMANC",
	"BROUGHTON",
	"MOD_BEAMGUNS",
	"MOD_DERATE",
	"MOD_EXACTOR",
	"MOD_SHROUD",
	"MOD_RUDDER",
	"MOD_NOSHROUD",
	"MOD_XIV",
	"MOD_OVLTANK",
	"MOD_NOSETRT",
	"MOD_XIVEND",
	"MOD_TSIGHT",
	"MOD_BBBAY",
	"MOD_PROP",
	"MOD_GLODGE",
	"STIRLING_III",
	"WELLINGTON_IC",
	"WELLINGTON_III",
	"MOSQUITO_IX",
	"BOOZER",
	"WINDOW",
	"MOONSHINE",
	"ABC",
	"FISHPOND",
	"SERRATE",
	"WURZBURG",
	"KAMMHUBER",
	"TAMEBOAR",
	"LICHTENSTEIN",
	"L_BC",
	"NAXOS",
	"L_SN",
	"MUSIK",
	"GEEJAM",
	"FREYA",
	"V_WEAPONS",
	"SECRET",
	"FLAKGAS",
	"FRANCE",
	"CRETE",
	"BARBAROSSA",
	"AMERICA",
	"TORCH",
	"EL_ALAMEIN",
	"STALINGRAD",
	"KURSK",
	"BADOGLIO",
	"RSI",
	"BERLIN",
	"THOUSAND",
	"DESTROYED",
	"CITYDEST",
};

int find_event(const char *name)
{
	int i;

	for(i=0;i<NEVENTS;i++)
		if(!strcmp(name, event_names[i]))
			break;
	if(i<NEVENTS)
		return i;
	return -1;
}
